def gv
pipeline{
    agent any
    tools{
        maven "maven-lts"
    }
    stages{
        stage("Init"){
            steps{
                script{
                    echo "Initial Configuration"
                    gv = load "script.groovy"
                }
            }
        }
        stage("Build Jar"){
            steps{
                script{
                    gv.buildJar()
                }
            }
        }
        stage("Build Image"){
            steps{
                script{
                    gv.buildImage()
                }
            }
        }
        stage("Push Image"){
            steps{
                script{
                    gv.pushImage()
                }
            }
        }
        stage("Deploy The App To Server"){
            steps{
                script{
                    gv.deployApp()
                }
            }
        }
    }
}